## kernel-package 10.065ubuntu5

=== debian/changelog ===
kernel-package (10.065ubuntu5) feisty; urgency=low

  * Touch '/var/run/do-not-hibernate' instead of '/var/run/do-not-suspend'
    to indicate to the power-management layer that the kernel that is likely
    to be used following a hibernate/resume-from-hibernate cycle has changed.
    Re-closes: (Launchpad: #14908)
	
 -- Paul Sladen <sladen@ubuntu.com>  Tue, 06 Mar 2007 14:12:24 +0000

kernel-package (10.065ubuntu4) feisty; urgency=low

  * Disable CRASH_DUMP kernel, now that we support relocatable ones.

 -- Ben Collins <bcollins@ubuntu.com>  Fri,  2 Mar 2007 14:12:57 -0500

kernel-package (10.065ubuntu3) feisty; urgency=low

  * Fix shell-in-perl-script stupido.

 -- Ben Collins <bcollins@ubuntu.com>  Thu,  4 Jan 2007 17:00:38 -0500

kernel-package (10.065ubuntu2) feisty; urgency=low

  * Touch file to show that kernel was upgraded, so suspend/resume scripts
    can recognize to not allow this: /var/run/do-not-suspend

 -- Ben Collins <bcollins@ubuntu.com>  Tue,  2 Jan 2007 23:00:11 -0500

kernel-package (10.065ubuntu1) feisty; urgency=low

  * Merge from debian unstable.

  * Patches remaining:
    - kdump kernel type addition. This will probably get backed out once we
      can move to using stock kernel for kdump, with relocation.
    - update-initramfs usage
    - update-notifier usage
    - Disable some debconf stuff.

 -- Ben Collins <bcollins@ubuntu.com>  Mon, 06 Nov 2006 04:15:16 +0000

kernel-package (10.065) unstable; urgency=low

  * Bug fix: "kernel-package: dependency on newer coreutils missing",
    thanks to Norbert Tretkowski. Added. As far as I can tell, readlink -m
    was present in coreutils 5.2.1, uploaded on 14 July 2004, over two
    years ago. However, updated the control file for kernel images.
                                                           (Closes: #396077).
  * Bug fix: "kernel-package: fails when a kernel-patch adds a config var
    without a default value".  Well. It is partially due to kbuild
    helpfully reconfiguring the kernel whenever it thinks it is needed.
    thanks to Yann Dirson                                   (Closes: #396122).

 -- Manoj Srivastava <srivasta@debian.org>  Sat,  4 Nov 2006 22:47:21 -0600

kernel-package (10.064) unstable; urgency=low

  * Also remove initrd .bak backups
  * Bug fix: "leaves .bak files around after kernel purge, and chokes on
    them", thanks to martin f krafft. Well, k-p never generated these
    files, and does not actually choke on them. But I suppose we can clean
    up after update-mkinitramfs or whatever :)(Closes: #395323).
  * Take another crack at handling the ever friendly Kbuild now asking to
    update the .config on STDOUT, not STDERR, and bailing when it
    discovers output is redirected.

 -- Manoj Srivastava <srivasta@debian.org>  Fri, 27 Oct 2006 17:18:39 -0500

kernel-package (10.063) unstable; urgency=low

  * Bug fix: "kernel-package: Generated postinst fails: Missing Required
    paramater 'Old'", thanks to Daniel Jacobowitz. I cleaned up the
    postinst as while I was at it, going with readlink -q -m instead of
    the built in version.                                (Closes: #391643).
  * Bug fix: "[powerpc] initramfs creation fails with 2.6.18 during
    install", thanks to Meelis Roos. This was fixed by the changes above.
                                                         (Closes: #394679).
  * Bug fix: "kernel-package: No need for any mentioning of bin86", thanks
    to Adrian Bunk                                       (Closes: #391677).
  * Bug fix: "postinst_hook runs after bootloader", thanks to Martin Buck
                                                         (Closes: #391436).
  * Bug fix: "kernel-package: A Debian revision is mandatory, but none was
    provided", thanks to Marc Haber. Hmm. We were not passing
    DEBIAN_REVISION for the clean target, and not doing any sanity checks.
    We still don't do sanity checks on clean, but we do pass along the
    provided debian revision, so warning is no longer triggered. 
                                                         (Closes: #391433).

 -- Manoj Srivastava <srivasta@debian.org>  Mon, 23 Oct 2006 13:33:28 -0500

kernel-package (10.062) unstable; urgency=low

  * Forgot to document KPKG_DEBUG introduced in the last upload.

 -- Manoj Srivastava <srivasta@debian.org>  Sun,  1 Oct 2006 15:14:56 -0500

kernel-package (10.061) unstable; urgency=medium

  * Bug fix: "kernel-package: kernel package doesn't find $(ARCH) running
    make-kpkg debian", thanks to Elimar Riesebieter. Fix it for real this
    time. Fixes a grave bug.                              (Closes: #390487).
  * Bug fix: "Easing debugging by outputting commands as these are run",
    thanks to Loïc Minier.                                (Closes: #390222).

 -- Manoj Srivastava <srivasta@debian.org>  Sun,  1 Oct 2006 14:59:26 -0500

kernel-package (10.060) unstable; urgency=low

  *  Only pass ARCH if KERNEL_ARCH is not empty. 

 -- Manoj Srivastava <srivasta@debian.org>  Sat, 30 Sep 2006 09:42:14 -0500

kernel-package (10.059) unstable; urgency=low

  * Bug fix: "kernel-package: Custom .config ignored, m-k clean generates
    errors on 2.6.18", thanks to Anthony L. Awtrey. Add an dummy call to
    make, if there are problems in the .config, kbuild rewrites .config,
    and the informational message messes up the VERSION variable. If the
    variable TEST did get a mesage about .config being written, pass it
    on. The problem is that any call to make seems to make Kbuild fix
    issues in .config -- nothing we can do there.            (Closes: #390012).
  * Bug fix: "Misleading information in postinst", thanks to Julien Danjou
                                                             (Closes: #389697).
  * Bug fix: "kernel-package: link_in_boot produces symlinks that are
    insufficiently relative", thanks to Ross Boylan. Fix a typo in
    determining the relative path for images. Also, in several places,

