=== debian/changelog ===
kernel-package (10.067~bpo.1) sarge-backports; urgency=low

  * Rebuilt for sarge.
  * Adjusted coreutils dependency.
  * Fixed readlink usage.

 -- Norbert Tretkowski <nobse@backports.org>  Mon,  2 Apr 2007 14:49:20 +0200

kernel-package (10.067) unstable; urgency=high

  * Bug fix: "kernel-package: using obsolete package 'ldso'", thanks to
    normes@normes.org. Well, we were not exactly "using" the package, but
    just recording the version number. This is a low risk change.
                                                        (Closes: #407793).
  * Bug fix: "kernel-package needs some additions to @files_to_remove",
    thanks to Stephen Gran.  Added modules.seriomap as a file to be
    removed in the postrm, allowing /lib/modules/$version to be removed.
                                                         (Closes: #408900).
  * Bug fix: "kernel-package: linux-headers for UML do not include various
    Makefiles", thanks to Marcus Better. This should be a low impact
    change.                                             (Closes: #408369).
  * Bug fix: "Kernel and initrd image symlinks aren't updated properly",
    thanks to Dennis Vshivkov.  This bug needs to be fixed for Etch, since
    it causes the symbolic links to the image and initrd to not be
    updated in some cases.                               (Closes: #409240).
  * Bug fix: "kernel-package support for armel", thanks to Joey Hess. This
    should be a low risk change for other architectures, and armel is not
    yet in consideration for etch, so any support in kernel-package is
    better than none.                                    (Closes: #410459).

 -- Manoj Srivastava <srivasta@debian.org>  Sun, 25 Feb 2007 00:49:39 -0600

kernel-package (10.066) unstable; urgency=high

  * Bug fix: "kernel-package: Enable -source and -headers packages for Xen
    kernels", thanks to Ian Campbell.  This is a simple change, and should
    have minimal impact on any other package, or on current user built
    packages. The upside is that the previously disabled packages are
    enabled for Xen and UML variants, allowing people to build third party
    modules for Xen adn UML variations -- and even if these were to break
    (they do not, in my testing), there is no regression.  In the future,
    the image and modules packages will be separated, to allow for
    host/guest installs. Official kernel images do not use make-kpkg to
    build kernel or uml images, so the official images or debian-installer
    are not impacted either.                              (Closes: #390881).
  * Bug fix: "kernel-package: postinst link_in_boot value set by
    image_in_boot", thanks to Niall Walsh. This was an out-and-out cut and
    paste error; and the fix is very simple (remove offending line). The
    downside is minimal, and current implementation is just wrong. 
                                                           (Closes: #405081).
  * Update spanish manual pages, thanks to  Rudy Godoy. He also provided
    patches for spelling errors and style flaws in the English man pages.
  
  * Bug fix: "Typos in manpage", thanks to Goswin Brederlow
                                                           (Closes: #402155).
  * Bug fix: "kernel-package: default stem inconsistent with
    documentation", thanks to Lionel Elie Mamane            (Closes: #400697).
  * Bug fix: "'man kernel-img' typo: "messgaes"", thanks to
    A. Costa                                                (Closes: #397379).
  * Bug fix: "'man kernel-pkg' typos: "Mutualy" and "theversion"", thanks
    to A. Costa                                             (Closes: #397378).
  * Bug fix: "make-kpkg clean: leaves scripts/package/Makefile.kpkg-dist
    behind", thanks to Yann Dirson.  This was a simple typo, which
    prevented the naming back scripts/package/Makefile.kpkg-dist to
    scripts/package/Makefile -- making clean not restore the package to
    original state after running build/clean.  There is little downside to
    this typo fix; we rename the Makefile, and we should be restoring it
    in clean.                                               (Closes: #397518).
  * Bug fix: "kernel-package: linux-headers doesn't inclue arch-specific
    scripts", thanks to dann frazier. When trying to compile external
    modules on on IA64/McKinley ItaniumII,  the Makefile in arch/ia64/
    needs some scripts from arch/ia64/scripts/ directory. These scripts
    were not so far being shipped. On non ia64, this has no impact on the
    headers package built; on ia64 the changes are required for the
    headers package to have any value.                (Closes: #405494). 
  * Bug fix: "kernel-package: kernel image cant be installed when vmlinuz
    link is already", thanks to Kai Sassmannshausen. Actually, the problem
    was not depending on a new enough version of coreutils. See Below.
                                                         (Closes: #407128).
  * Bug fix: "kernel-package: dependency problem: kernel package
    installation uses a invalid option of readlink", thanks to Kai
    Sassmannshausen. In release version 10.063, I cleaned up the  postinst
    as while I was at it, going with readlink -q -m instead of the built
    in version. Since -m was a flag not present in Sarge's coreutils, this
    means the generated image files should have a versioned dependency on
    coreutils. The previous versioned dependency was not strict enough,
    updated to a version that works.                      (Closes: #407130).

 -- Manoj Srivastava <srivasta@debian.org>  Wed, 17 Jan 2007 20:20:25 -0600
