=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: kernel-package
 Priority: optional
 Section: misc
-XSBC-Original-Maintainer: Manoj Srivastava <srivasta@debian.org>
-Maintainer: Ben Collins <bcollins@ubuntu.com>
+Maintainer: Manoj Srivastava <srivasta@debian.org>
+Uploaders: Norbert Tretkowski <nobse@backports.org>
 Standards-Version: 3.7.2.0
 
 Package: kernel-package
