## kernel-package 10.067

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,6 @@
 Priority: optional
 Section: misc
 Maintainer: Manoj Srivastava <srivasta@debian.org>
-Uploaders: Norbert Tretkowski <nobse@backports.org>
 Standards-Version: 3.7.2.0
 
 Package: kernel-package
