## kernel-package 11.001

=== debian/changelog ===
kernel-package (11.001) unstable; urgency=low

  * Bug fix: "kernel-package: Typo "call" -> "cause" in make-kpkg(1)
    manpage", thanks to Ted Percival                         (Closes: #418496).
  * Bug fix: "[kernel-package] please fail more verbose in preinst",
    thanks to Carsten Hey                                    (Closes: #404871).
  * Bug fix: "kernel-package: make-kpkg should not limit choice of config
    method", thanks to Alex Hermann. Added silenoldconfig, but did not
    make it the default, since older kernel versions do not have this
    target, and make-kpkg should not fail by default for those versions. 
                                                             (Closes: #413098).
  * Bug fix: "french manpage is out of date, and doesn't include the
    ramdisk option.", thanks to Sven Luther                  (Closes: #404855).
  * Bug fix: "kernel-package: make-kpkg debian fails if .config not
    present", thanks to Sami Liedes.                          (Closes: #416090).
  * Bug fix: "kernel/pkg/postinst says it's symlinking when hardlinking
    and vice versa", thanks to Simon Huggins                 (Closes: #417814).
  * Bug fix: "kernel-package: Option --cross-compile=- dont't work whith
    target modules*", thanks to Jose Calhariz                (Closes: #417948).
  * Make kernel-package handle a non-existent .config file again (tested
    on linux-2.2.26, linux-2.4.34, and linux-2.6.21.1).  We figure out
    which kernel needs a .config (>= 2.6.18), and for those kernels, call
    make defconfig as needed.
  * Added support for CONFIG_LOCALVERSION_AUTO and git source trees. If
    CONFIG_LOCALVERSION_AUTO is set, see if we are running in a git
    tree. If so, append -dirty to the git version string (since we do edit
    the scripts Makefile to ensure ./debian does not go missing during
    dpkg-buildpackage). Now that we can handle the appending of -dirty, we
    no longer move setlocalversion out of the way. This has not, however,
    been tested with a git tree.
  * Added XS-VCS-Arch and XS-VCS-Browse to debian/control

 -- Manoj Srivastava <srivasta@debian.org>  Sat,  5 May 2007 00:42:14 -0500

kernel-package (10.068) unstable; urgency=high

  * Bug fix: "/sbin/update-grub is run by default by kernel postrm if it
    exists, and complains", thanks to Joey Hess. Don't semi-silently
    ignore missing hooks. This means: Don't gracefully handle missing hook
    scripts, the diagnostic might be lost in a flurry of messages,  and
    the user may never be aware that the hook script was never run.
    Depending on what the hook script is meant to do, this may cause a
    security problem or data loss.                         (Closes: #412937).
  * Bug fix: "kernel-package: version suffix added when building in git
    trees ", thanks to Marcus Better. When run in a git sourced tree,
    scripts/setlocalversion checks to see if the tree is the trunk, if
    not, it adds version information to the kernel version. It also checks
    to see if there are uncommited changes, if so, it adds the string
    "-dirty" to the version. Since we change a couple of files in
    ./scripts/, this falls afoul of the make-kpkg checks, since the
    version number is now different from what make-kpkg knows it to
    be. Also, there is an additional truncated commit ID added by the
    script scripts/setlocalversion whenever it detects that we are not
    building from a tagged commit of the official tree, so it might be
    just simpler to get rid of scripts/setlocalversion altogether, so we
    now move it out of the way in the config phase, and restore during
    clean. This allows make-kpkg to be useful for building from got trees
    again.                                                (Closes: #406180). 
  * Bug fix: "powerpc arch problems with 2.4 kernel", thanks to Brendan
    O'Dea. For powerpc, handle circular dependency of version number and
    KERNEL_ARCH. For powerpc, we need to set the (KERNEL_ARCH) based on
    the version numbers -- which we can't get to unless we know the kernel
    architecture. Yossarian would have liked this. Use grep to get the
    most significant digits of the version number. Use these to calculate
    significant digits of the version number. Use these to calculate the
    KERNEL_ARCH. Use KERNEL_ARCH to get to the full version. This change
    allows us not to drop support for 2.4 kernels on powerpc machines. It
    does not impact anything but powerpc, and should not cause a change of
    behavior on 2.6.16+ kernels even on powerpc.            (Closes: #411038). 
  * Bug fix: "kernel-package: 'applied kernel patches' is missing from
    buildinfo.gz", thanks to Norbert Buchmuller. Since kernel-source-* and
    kernel-patch-* packages were renamed to linux-source-* and
    linux-patch-*, the "applied kernel patches:" is missing from
    buildinfo.gz. (It still tries to find kernel-patch-<whatever> package
    for the <whatever> patch.                               (Closes:  #412463).
  * Bug fix: "kernel-package: 'kernel source package used:' info in
    build.gz is inaccurate", thanks to Norbert Buchmuller. The information
    that make-kpkg puts into the buildinfo.gz file with the "kernel source
    package used:" description represents the version of the corresponding
    {kernel,linux}-source-* package _installed_ on the system, but not the
    version of the package that the current source tree was _untarred_
    from. (Eg. one untars the source tree from linux-source-2.6.18-6, then
    (s)he updates the installed package to linux-source-2.6.18-7, then
    builds a kernel in the previously untarred source tree. In this case
    the source really used is 2.6.18-6, but it writes 2.6.18-7 to
    buildinfo.gz, which is misleading.)                    (Closes: #412589). 

 -- Manoj Srivastava <srivasta@debian.org>  Thu,  1 Mar 2007 02:14:00 -0600
