=== debian/control ===
--- 
+++ 
@@ -1,4 +1,6 @@
 Source: kernel-package
+XS-VCS-Arch: http://arch.debian.org/arch/private/srivasta/grab/kernel-package
+XS-VCS-Browse: http://arch.debian.org/cgi-bin/archzoom.cgi/srivasta@debian.org--lenny/kernel-package?expand
 Priority: optional
 Section: misc
 Maintainer: Manoj Srivastava <srivasta@debian.org>
