## kernel-package 11.001-0.1

=== debian/changelog ===
kernel-package (11.001-0.1) unstable; urgency=low

  * Porter NMU.
  * kernel/ruleset/*.mk: use DEB_HOST_ARCH_OS instead of DEB_HOST_GNU_SYSTEM
    to fix make-kpkg on armel                                (Closes: #425971).

 -- Aurelien Jarno <aurel32@debian.org>  Tue, 15 Jan 2008 00:37:03 +0100
