=== debian/changelog ===
kernel-package (11.015) unstable; urgency=low

  * New bugfix version
  * [3000654]: Fix a man page typo (headers_postinst_hook -> header_postinst_hook)
  * [0d0b709]: [sparc] The gzipped image file must not have the .gz  suffix
    Bug fix: "[sparc] Breaks on gzip compression"             (Closes:  #506854)
  * [18b6142]: Do not override the config target set in kernel-pkg.conf
    By removing the default value, and only setting the config target if
    it was empty, allows users to set the target for all future
    compilations on that machine. This is a pretty safe fix. 
    Bug fix: "config_target  in /etc/kernel-pkg.conf gets ignored", thanks
    to Harald Gutmann                                          (Closes: #506905)
  
 -- Manoj Srivastava <srivasta@debian.org>  Tue, 25 Nov 2008 15:45:40 -0600

kernel-package (11.014) unstable; urgency=low

  * [bc8223d]: On sparc, the image is compressed. Take that into account
  
    Fixes another RC bug. Hopefully, this is the last of the sparc-only
    bugs that need fixing ... 
  
    Bug fix: "[sparc] Breaks on gzip compression", thanks to Bastian Blank
                                                             (Closes: #506854)

 -- Manoj Srivastava <srivasta@debian.org>  Tue, 25 Nov 2008 09:42:59 -0600

kernel-package (11.013) unstable; urgency=high

  * [fd7dc12] Fix gzip invocation when compressing kernel image
    
    When we factored out the copying of the kernel image source to the
    destination, we forgot to change
      gzip -9vc SRC > DEST
    to
     gzip -9fq DEST
    since the copying is now done earlier. This cause build failures on
    sparc. This fixes a grave bug, and the error was introduced in 11.003

    Bug fix: "[sparc] no longer produces compressed kernels for
    linux-2.6", thanks to Frans Pop                    (Closes: #506711).

 -- Manoj Srivastava <srivasta@debian.org>  Mon, 24 Nov 2008 09:33:54 -0600

kernel-package (11.012) unstable; urgency=low

  * New bug fixing release.
  * [3f7296a] Handle Xen code configured into modern kernels
  
    When building a current kernel with the in-kernel xen code enabled on
    amd64, kernel-package does not recognize this correctly because it
    matches on a config variable which apparently is no longer set (or
    maybe even was never used in the in-kernel xen code). This commit adds
    an extra stanza that adds support for the Xen in new kernels. The
    suggestion and bug report were from  Michael Holzt. The patch is a
    three line change.
  
    Bug fix: "does not recognize xen enabled kernel on amd64", thanks to
    Michael Holzt                                      (Closes: #503686).
  * [720444c] Add french translations for the debconf templates 

    This is a new french translation for debconf templates in the packages
    generated by kernel-package.
 
    Bug fix: "[INTL:fr] French translation for debconf templates of
    generated packages", thanks to Jean-Christophe      (Closes: #503905).
  * [debiandir:343ab3c] Update the build dependency for po4a
  
    The version of po4a in Etch does not have the command line options we
    need; so this build dependency helps in backporting.

    Bug fix: "Backport to Etch fails with po4a error", thanks to Carsten
    Aulbert                                              (Closes: #505661).
  * [4a35a16] Use the variable LINK_ARCH to include x86 headers

    Use the LINK_ARCH variable instead of KERNEL_ARCGH variables in more
    places; this ensures that the headers for x86 archies do not go
    missing. We already have code to grab the headers from the new
    location; but were looking at the wrong architecture name.
  
    Bug fix: "Does not include complete asm tree in linux-headers", thanks
    to Shane Wegner. This is an important bug.            (Closes: #505038).

 -- Manoj Srivastava <srivasta@debian.org>  Fri, 14 Nov 2008 23:32:44 -0600

kernel-package (11.0011) unstable; urgency=low

  * [02be18e] Fix the make-kpkg --config fooconfig configure target
    make-kpkg always ran (silent)?oldconfig, no matter what. Simplified
    the selection of the configure target, and unbroke the
    functionality. This should have been an important bug.
    Bug fix: "menuconfig does not work", thanks to Marcus Better
                                                           (Closes: #502407).

 -- Manoj Srivastava <srivasta@debian.org>  Fri, 17 Oct 2008 20:53:16 -0500

kernel-package (11.0010) unstable; urgency=low

  * [3aea39c] Add missing braces around variable in debconf template
  * [b0a7ac0] Correct logic around running lilo
    Bug fix: " postinst problems in generated linux-image-*", thanks to
    Darren Salt.                                     (Closes: #502255)
  * [920898e] Modify docs now that make-kpkg clean is not a requirement
    The new build system is far more robust about keeping up with version
    numbers, and so all that is needed to change a .config or a version
    number is to just rm -rf ./debian and start building. This cuts down a
    lot on time wasted building kernels and deleting the .o files before
    the next build. 
  
 -- Manoj Srivastava <srivasta@debian.org>  Wed, 15 Oct 2008 03:18:41 -0500

kernel-package (11.009) unstable; urgency=low

  * [ef3744c] Fix incorrect image name when using a .config with Xen
    configured. 

 -- Manoj Srivastava <srivasta@debian.org>  Wed, 15 Oct 2008 00:20:51 -0500

kernel-package (11.008) unstable; urgency=low

  * [77c7df0] Fix and use po4a for man pages
    [debiandir dfa2ff7] Generate man pages from po4a while building
    [debiandir b456d2d] Add a build dependency on po4a
    Bug fix: "[proposition] convert to po4a", thanks to Martin Quinson
                                                     (Closes: #260526).
    Bug fix: "French manpages translation", thanks to Christian Perrier
                                                     (Closes: #487425).
  * [f2f3b7f] Remove early version check from make-kpkg: too many false

