=== debian/control ===
Source: kernel-package
VCS-Git: git://git.debian.org/~srivasta/debian/kernel-package.git
VCS-Browser: http://git.debian.org/?p=users/srivasta/debian/kernel-package.git;a=summary
Priority: optional
Section: misc
Build-Depends-Indep: po4a (>= 0.31)
Maintainer: Manoj Srivastava <srivasta@debian.org>
Standards-Version: 3.8.0.0

Package: kernel-package
Description: A utility for building Linux kernel related Debian packages.
 This package provides the capability to create a Debian kernel image
 package by just running make-kpkg kernel_image in a kernel source
 directory tree.  It can also package the relevant kernel headers into
 a kernel-headers package. In general, this package is very useful if
 you need to create a custom kernel, if, for example, the default
 kernel does not support some of your hardware, or you wish a leaner,
 meaner kernel.  It also scripts the steps that need be taken to
 compile the kernel, which is quite convenient (forgetting a crucial
 step once was the initial motivation for this package). Please look at 
 /usr/share/doc/kernel-package/Rationale.gz for a full list of advantages
 of this package.
Depends: perl, dpkg (>= 1.4), dpkg-dev (>= 1.4.0.9), gcc | c-compiler, make (>= 3.80-10), po-debconf, gettext, file, debianutils (>= 2.30), binutils (>= 2.12), util-linux (>= 2.10o), module-init-tools (>= 0.9.10)
Recommends: libc6-dev | libc-dev, bzip2
Suggests: linux-source | kernel-source, libdb3-dev, libncurses-dev, docbook-utils, xmlto, e2fsprogs (>= 1.29), linux-initramfs-tool
Architecture: all
